curl --request GET \
--url https://api.treasuryprime.com/card_event \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/card_event"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/card_event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"amount": "10.00",
"atm": null,
"card_id": "card_09876543421",
"created_at": "2017-11-02T11:55:14Z",
"currency": "USD",
"decline_reason": "Card Not Active",
"id": "cnm_2345678901",
"merchant": {
"address": {
"city": "EDGEWATER",
"country": "USA",
"postal_code": "07020",
"state": "NJ"
},
"mcc": "0000",
"mid": "0123456789",
"name": "A VENDOR NAME"
},
"message_type": "auth-request",
"network": "mastercard",
"network_created_at": "2017-11-02T11:55:09Z",
"networkdata": {
"acquirer": null,
"acquirer_fee_amount": 0,
"acting_user_token": "0146434d-3c22-4906-a538-b61d39cf6f71",
"amount": 10,
"card_acceptor": {
"address": "330 Central Ave.",
"city": "St. Petersburg",
"country_code": "USA",
"mcc": "6411",
"mid": "123456890",
"name": "Marqeta Storefront",
"postal_code": "33705",
"state": "FL"
},
"card_security_code_verification": null,
"card_token": "028b20b2-215f-4ab4-a334-f08d99def0e4",
"created_time": "2022-09-29T21:35:03Z",
"currency_code": "USD",
"digital_wallet_token": {
"address_verification": {
"name": "",
"street_address": "180 Grand Ave",
"zip": "**MASKED**"
},
"card_token": "IC_4e3omf16hwgbfpt7pumg6tfky",
"device": {
"device_id": "0423117BE44E80018327074341948822B514D73218EB41DE",
"ip_address": "101.203.084.990",
"language_code": "eng",
"location": "+35.96/-78.85",
"name": "iPhone",
"phone_number": "14088581301",
"type": "MOBILE_PHONE"
},
"state": "ACTIVE",
"token": "4c72bc11-1574-48c3-8cba-586072a7432f"
},
"fraud": {
"network": {
"account_risk_score": 2,
"transaction_risk_score": 86
}
},
"issuer_interchange_amount": 0,
"network": "MASTERCARD",
"pos": {
"card_holder_presence": false,
"card_presence": false,
"is_recurring": false,
"pan_entry_mode": "MAG_STRIPE",
"partial_approval_capable": false,
"pin_entry_mode": "TRUE",
"purchase_amount_only": false,
"terminal_attendance": "ATTENDED",
"terminal_id": "TR100000"
},
"request_amount": 10,
"settlement_date": "2022-09-29T00:00:00Z",
"state": "PENDING",
"token": "9699f5fc-3516-49c1-93a1-f6a9e6635bdf",
"type": "authorization.incremental",
"user_token": "0146434d-3c22-4906-a538-b61d39cf6f71",
"user_transaction_time": "2022-09-29T21:35:03Z"
},
"processor": "marqeta",
"status": "denied",
"updated_at": "2017-11-02T11:55:14Z"
}
]
}List Card Events
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
The ID of the card associated with the event. Filterable.
Identifier used to link card events to transactions. Filterable.
Pagination cursor, value is the object ID.
Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.
x >= 1Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Response
A dictionary with a data property that contains a list of up to page_size card_event elements, starting after the card_event described by page_cursor. If no more card_events are available, the resulting list will be empty.
Show child attributes
Show child attributes
Was this page helpful?